#### Previous topic

scipy.interpolate.CubicSpline.integrate

#### Next topic

scipy.interpolate.PPoly

# scipy.interpolate.CubicSpline.roots

`CubicSpline.``roots`(discontinuity=True, extrapolate=None)

  Find real roots of the the piecewise polynomial.

  Parameters:

  discontinuity : bool, optional

  > Whether to report sign changes across discontinuities at breakpoints as roots.

  extrapolate : {bool, ‘periodic’, None}, optional

  > If bool, determines whether to return roots from the polynomial extrapolated based on first and last intervals, ‘periodic’ works the same as False. If None (default), use self.extrapolate.

  Returns:

  roots : ndarray

  > Roots of the polynomial(s).

  > If the PPoly object describes multiple polynomials, the return value is an object array whose each element is an ndarray containing the roots.

  See also

  `PPoly.solve`